-- ##########################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5698-MMI
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: %W%
-- #   Revision: %I%
-- #   Date: %G% %U%
-- ############################################################################
-----------------------------------------
-- HMI stage tables
-----------------------------------------

-----------------------------------------
-- Create Star schema Tables
-----------------------------------------

--staging tables for datamart process

create table hmi.stage_d_mnw_metric (
 Metric_ID            integer not null,
 Met_Category         VARCHAR(10) NOT NULL,
 Met_Name          VARCHAR(120) NOT NULL,
 Met_Desc          VARCHAR(254) NOT NULL ,
 Met_Units         CHAR(6) NOT NULL,
 MIN_Exists           CHARACTER NOT NULL,
 MAX_Exists           CHARACTER NOT NULL,
 AVG_Exists           CHARACTER NOT NULL,
 Total_Exists         CHARACTER NOT NULL,
 Msrc_Nm							VARCHAR(6),
       PRIMARY KEY (Metric_ID)
);

create table hmi.stage_d_csw_metric (
 Metric_ID            integer not null,
 Met_Category         VARCHAR(10) NOT NULL,
 Met_Name          VARCHAR(120) NOT NULL,
 Met_Desc          VARCHAR(254) NOT NULL ,
 Met_Units         CHAR(6) NOT NULL,
 MIN_Exists           CHARACTER NOT NULL,
 MAX_Exists           CHARACTER NOT NULL,
 AVG_Exists           CHARACTER NOT NULL,
 Total_Exists         CHARACTER NOT NULL,
 Msrc_Nm							VARCHAR(6),
       PRIMARY KEY (Metric_ID)
);
