-- ##########################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5698-MMI
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: %W%
-- #   Revision: %I%
-- #   Date: %G% %U%
-- ############################################################################

--#iftag fixpack_1
create index hmi.f_mn_hour_indx1 on HMI.f_mn_hour(mon_node_id);
create index hmi.f_mn_hour_indx2 on HMI.f_mn_hour(host_id);
create index hmi.f_mn_hour_indx3 on HMI.f_mn_hour(metric_id);

create index hmi.f_mn_day_indx1 on HMI.f_mn_day(mon_node_id);
create index hmi.f_mn_day_indx2 on HMI.f_mn_day(host_id);
create index hmi.f_mn_day_indx3 on HMI.f_mn_day(metric_id);

create index hmi.f_mn_week_indx1 on HMI.f_mn_week(mon_node_id);
create index hmi.f_mn_week_indx2 on HMI.f_mn_week(host_id);
create index hmi.f_mn_week_indx3 on HMI.f_mn_week(metric_id);

create index hmi.f_mn_month_indx1 on HMI.f_mn_month(mon_node_id);
create index hmi.f_mn_month_indx2 on HMI.f_mn_month(host_id);
create index hmi.f_mn_month_indx3 on HMI.f_mn_month(metric_id);

create index  hmi.f_cs_hour_indx1 on HMI.f_cs_hour(comp_id);
create index  hmi.f_cs_hour_indx2 on HMI.f_cs_hour(host_id);
create index hmi.f_cs_hour_indx3 on HMI.f_cs_hour(metric_id);

create index hmi.f_cs_day_indx1 on HMI.f_cs_day(comp_id);
create index hmi.f_cs_day_indx2 on HMI.f_cs_day(host_id);
create index hmi.f_cs_day_indx3 on HMI.f_cs_day(metric_id);

create index hmi.f_cs_week_indx1 on HMI.f_cs_week(comp_id);
create index hmi.f_cs_week_indx2 on HMI.f_cs_week(host_id);
create index  hmi.f_cs_week_indx3 on HMI.f_cs_week(metric_id);

create index  hmi.f_cs_month_indx1 on HMI.f_cs_month(comp_id);
create index  hmi.f_cs_month_indx2 on HMI.f_cs_month(host_id);
create index hmi.f_cs_month_indx3 on HMI.f_cs_month(metric_id);

--#endtag fixpack_1 